import { defHttp } from '/@/utils/http/axios';

enum Api {
  GetPageList = '/nxDangerousSource/page',
  HandleItem = '/nxDangerousSource',
}
export const getTableList = (params?: any) => {
  return defHttp.post<any>({ url: Api.GetPageList, params });
};
export const addData = (params?: any) => {
  return defHttp.post<any>({ url: Api.HandleItem, params });
};
export const edictData = (params?: any) => {
  return defHttp.put<any>({ url: Api.HandleItem, params });
};
export const getById = (params: string) => {
  return defHttp.get<any>({ url: Api.HandleItem, params });
};
export const delById = (params: string) => {
  return defHttp.delete<any>({ url: Api.HandleItem, params });
};
